#!/bin/bash

#   FILE: do_nicely.sh -- Will wait for the file /tmp/be_nice to be 
#         deleted before executing $1.  Uses polling (ugh).
# AUTHOR: W. Michael Petullo, wp0002@drake.edu
#   DATE: 19 OCT 1998

if test "$#" != 1; then
	echo "Usage: $0 \"command line\"."
	exit
fi

while [ -f /tmp/be_nice ]; do
	sleep 600
done

exec $1
